## org.eclipse.emf.ecore.util
Class EcoreUtil.ProperContentIterator<E>

    java.lang.Object
      org.eclipse.emf.ecore.util.EcoreUtil.ProperContentIterator<E>

All Implemented Interfaces:
  java.util.Iterator<E>

Enclosing class:
  EcoreUtil

    public static class EcoreUtil.ProperContentIterator<E>

extends java.lang.Object
implements java.util.Iterator<E>

An iterator that can skip over items in a list.

Field Summary
`protected java.util.Iterator<? extends E>` `iterator`
`protected E` `preparedResult`

Constructor Summary
`EcoreUtil.ProperContentIterator(EObject eObject)`
`EcoreUtil.ProperContentIterator(EObject eObject, boolean isResolveProxies)`
`EcoreUtil.ProperContentIterator(InternalEList<? extends E> basicContents)`
`EcoreUtil.ProperContentIterator(java.util.List<? extends E> contents)`

Method Summary
`boolean` `hasNext()`
`E` `next()`
`void` `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### iterator

    protected java.util.Iterator<? extends E> iterator

### preparedResult

    protected E preparedResult

Constructor Detail

### EcoreUtil.ProperContentIterator

    public EcoreUtil.ProperContentIterator(java.util.List<? extends E> contents)

### EcoreUtil.ProperContentIterator

    public EcoreUtil.ProperContentIterator(InternalEList<? extends E> basicContents)

### EcoreUtil.ProperContentIterator

    public EcoreUtil.ProperContentIterator(EObject eObject)

### EcoreUtil.ProperContentIterator

    public EcoreUtil.ProperContentIterator(EObject eObject,
                                           boolean isResolveProxies)

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator<E>`

### next

    public E next()

  Specified by:
    `next` in interface `java.util.Iterator<E>`

### remove

    public void remove()

  Specified by:
    `remove` in interface `java.util.Iterator<E>`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.